#include <iostream>

using namespace std;

int main()
{
    int n;
    cin >> n;

    int br = 0; // resenje
    int* x = new int[n];
    int* y = new int[n];
    int* z = new int[n];

    for(int i = 0; i < n; i++){
        cin >> x[i];
    }

    for(int i = 0; i < n; i++){
        cin >> y[i];
    }

    for(int i = 0; i < n; i++){
        cin >> z[i];
    }

    for(int i = 0; i < n; i++){
        for(int j = 0; j < n; j++){
            if(y[j] == x[i]){
                for(int k = 0; k < n; k++){
                    if(z[k] == j+1){
                        br++;
                    }
                }
            }
        }
    }

    cout << br;
    return 0;
}